Subject: Re: [calsify] draft-ietf-calext-ical-tasks-03 Review

From: Michael Douglass <[email-masked]>
Date: Wed, 6 Apr 2022 15:04:05 -0400

Hi Joris.

Sorry not to have responded sooner. All good points - I'll try to get a 
more detailed reply along with some changes soon.

On 3/29/22 08:08, Joris Baum wrote:
>
> Hi,
>
>
> I just had a look at the draft-ietf-calext-ical-tasks-03 spec. In 
> general, it looks good to me. Most of my comments are small things 
> which might or might not require some more clarification.
>
> General note: Typically, collaborative software development tools 
> allow tracking the changes to any task property. Such a 
> "history"-feature is most likely out of scope for that draft, but it 
> looks like `VSTATUS` could be used (to some extent) for that feature. 
> Maybe it would make sense to state in the draft that tracking history 
> of all properties is not covered by the spec?
>
> Section 4:
>
>   * Task Actors mentions "Organizer" as an actor. In the picture, it
>     is not part of that group. I suggest to either leave it out in the
>     text or change the group name in the picture (probably the latter).
>   * The Task Actors roles seem to be purely informational. Maybe it
>     would make sense to specify how they are supposed to be mapped to
>     an iCalendar equivalent, like `ORGANIZER`?
>
> Section 12.2:
>
>   * A "name-space" is mentioned, but it seems to be not defined what a
>     "name-space" should look like.
>   * When using IANA registered values for `REASON` as done in one of
>     the examples (`REASON:out-of-office`) do not seem to be of `URI`
>     type. I guess that is not in line with its definition?
>
>
> The following are probably merely minor notes (about spelling, style 
> and copy+paste errors). You would probably have found them yourself 
> before a WGLC, but I think it does not hurt to include them:
>
> Section 7.2:
>
>   * "See section 3.1.3 Task Domain Data Handling." You probably meant
>     section 7.3 ?
>   * "Extensions [Doug114] to the RELATED-TO" Reference not included.
>     You probably meant draft-ietf-calext-ical-relations ?
>   * REL is used as a param in the examples, e.g.
>     `LINK;REL="vacation-system";VALUE=URI:http://example.com/vacation-approval?id=1234`.
>     But it is not part of draft-ietf-calext-ical-relations. I guess it
>     comes from an earlier version of the spec?
>
> Section 9: "In addition a number of different patterns of resource or 
> assignee identification are anticipated." - "In addition, a number of 
> different patterns of resource or assignee identification are 
> anticipated." (very minor, but it confused me for a short while)
>
> Section 10.3: "As situations chnage further VSTATUS components" → "As 
> situations change further VSTATUS components"
>
> Section 10.4:
>
>   * "Alarms (VLARM components)" → "Alarms (VALARM components)"
>   * "Task Generating System, e.g., a BPMS" → Maybe specify what a BPMS
>     is. However, Wikipedia seems to understand it.
>
> Section 19: I am unable to open or find the [TARCH] reference?
>
>
> Regards,
>
> Joris
>
>
> -- 
> Joris Baum
> Tel: +49 721 170293 16
> Fax: +49 721 170293 179
>
> http://www.audriga.com  |http://www.twitter.com/audriga
>
> --------------------------------------------------------------------------
> audriga GmbH | Alter Schlachthof 57 | 76137 Karlsruhe
> Sitz der Gesellschaft: Karlsruhe - Amtsgericht Mannheim - HRB 713034
> Geschäftsführer: Dr. Frank Dengler, Dr.-Ing. Hans-Jörg Happel
> --------------------------------------------------------------------------
>
> _______________________________________________
> calsify mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/calsify